/**
 /**
 * @(#) Product.java
 * 
 * Copyright (c) 2011 iXSystems - all rights reserved.
 */

package ix.houseware.category.controller;

import ix.houseware.category.bean.CategoryFinderBean;
import ix.houseware.category.CategoryManager;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Locale;

import javax.ejb.EJB;

//import javax.portlet.ActionRequest;
//import javax.portlet.ActionResponse;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.propertyeditors.CustomBooleanEditor;
import org.springframework.beans.propertyeditors.CustomDateEditor;
import org.springframework.beans.propertyeditors.StringTrimmerEditor;
import org.springframework.stereotype.Controller;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.ui.Model;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.WebDataBinder;
import org.springframework.web.bind.annotation.InitBinder;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.SessionAttributes;
//import org.springframework.web.portlet.bind.PortletRequestDataBinder;
//import org.springframework.web.portlet.bind.annotation.ActionMapping;
//
//import com.ixsystems.msp.portlet.bean.ProductFinderBean;
//import com.ixsystems.msp.portlet.bean.ProductFinderBeanValidator;
//import com.ixsystems.msp.portlet.editor.VocabularyItemCustomEditor;
//import com.ixsystems.msp.service.IndustryService;
//import com.ixsystems.msp.service.PartnerAssociateService;
//import com.ixsystems.msp.service.ProductFinderService;
//import com.ixsystems.msp.service.ProductTypeService;
//import com.ixsystems.msp.service.StateService;
//import com.ixsystems.msp.service.value.IndustryValue;
//import com.ixsystems.msp.service.value.ProductFinderValue;
//import com.ixsystems.msp.service.value.ProductTypeValue;
//import com.ixsystems.msp.service.value.ProductValue;
//import com.ixsystems.msp.service.value.StateValue;
//import com.ixsystems.msp.util.BeanUtils;
//import com.ixsystems.msp.util.PortletPropsValues;
//import com.liferay.portal.SystemException;
import org.apache.log4j.Logger;

@Controller
//@SessionAttributes("categoryFinder")
@RequestMapping("/category")
@Transactional
public class CategoryFinderController {

        private static final Logger logger = Logger.getLogger(CategoryFinderController.class);
//	private final IndustryService industryService;
//	private final StateService stateService;
//	private final PartnerAssociateService partnerAssociateService;
//	private final ProductTypeService productTypeService;
//	private final ProductFinderService productFinderService;

//	@Autowired
//	private ProductFinderBeanValidator productFinderBeanValidator;
                    
		@EJB
		private final CategoryManager categoryManager;

		@Autowired
                  public CategoryFinderController(CategoryManager categoryManager) {
                       logger.info("calling CategoryFinderController");
                       this.categoryManager = categoryManager;
                  }
                         
//	@Autowired
//	public CategoryFinderController(IndustryService industryService, StateService stateService,
//			PartnerAssociateService partnerAssociateService, ProductTypeService productTypeService,
//			ProductFinderService productFinderService) {
//		this.industryService = industryService;
//		this.stateService = stateService;
//		this.partnerAssociateService = partnerAssociateService;
//		this.productTypeService = productTypeService;
//		this.productFinderService = productFinderService;
//	}
//
//	// setup binder for adding/editing products
	@InitBinder
	protected void initBinder(WebDataBinder binder) {
                                    logger.info("callling initBinder");
                                    SimpleDateFormat dateFormat = new SimpleDateFormat("MM/dd/yyyy", Locale.US);
		binder.registerCustomEditor(Boolean.class, new CustomBooleanEditor(false));
		binder.registerCustomEditor(Date.class, new CustomDateEditor(dateFormat, true));
		binder.registerCustomEditor(String.class, new StringTrimmerEditor(true));
                
//		binder.registerCustomEditor(IndustryValue.class, new VocabularyItemCustomEditor<IndustryValue>(industryService));
//		binder.registerCustomEditor(ProductTypeValue.class, new VocabularyItemCustomEditor<ProductTypeValue>(productTypeService));
//		binder.registerCustomEditor(StateValue.class, new VocabularyItemCustomEditor<StateValue>(stateService));
	}
//
//	// default render page - search
	@RequestMapping
	public String showSearch(Model model) {
                                    logger.info("calling default submit method showSeach()");
		if (!model.containsAttribute("category")) {
			model.addAttribute("categaory", new CategoryFinderBean());
		}
		model.addAttribute("totalResults", Integer.valueOf(0));
		return "categoryFinderSearch";
	}
//
//	// default search action mapping
//	@ActionMapping(params = "action=productFinderResults")
//	public void submitProductFinderSearch(ActionRequest request, ActionResponse response,
//			@ModelAttribute("productFinder") ProductFinderBean bean, BindingResult errors, Model model) {
//		if (request.getParameter("_reset") != null) {
//			model.addAttribute("productFinder", new ProductFinderBean());
//			model.addAttribute("totalResults", Integer.valueOf(0));
//			response.setRenderParameter("action", "productFinderSearch");
//			return;
//		}
//		ProductFinderValue value = new ProductFinderValue();
//		productFinderBeanValidator.validate(bean, errors);
//		if (errors.hasErrors()) {
//			model.addAttribute("totalResults", Integer.valueOf(0));
//			response.setRenderParameter("action", "productFinderSearch");
//		} else {
//			BeanUtils.copyProperties(value, bean);
//
//			Long totalResults = productFinderService.countByCriteria(value);
//			if (totalResults != null && Long.valueOf(0).compareTo(totalResults) < 0) {
//				String pageNo = request.getParameter("pageNo");
//				final Integer page;
//				if (StringUtils.isEmpty(pageNo)) {
//					page = Integer.valueOf(1);
//				} else {
//					page = Integer.valueOf(pageNo);
//				}
//				setFiguredValues(bean, totalResults, page, model);
//				response.setRenderParameter("action", "productFinderSearch");
//			} else {
//				model.addAttribute("totalResults", Integer.valueOf(-1));
//				response.setRenderParameter("action", "productFinderSearch");
//			}
//		}
//	}
//
//	// Autopopulated Models
//
//	@ModelAttribute("industryList")
//	public List<IndustryValue> getIndustryList() throws SystemException {
//		return industryService.findAll();
//	}
//
//	@ModelAttribute("stateList")
//	public List<StateValue> getStateList() throws SystemException {
//		return stateService.findAll();
//	}
//
//	@ModelAttribute("productTypeList")
//	public List<ProductTypeValue> getProductTypeList() throws SystemException {
//		return productTypeService.findAll();
//	}
//
//	@ModelAttribute("partnerNames")
//	public List<String> getPartnerNames() throws SystemException {
//		return partnerAssociateService.findAllNames();
//	}
//
//	// Figured values
//	private void setFiguredValues(ProductFinderBean bean, Long totalResults, Integer pageNo, Model model) {
//		final BigDecimal pageNoBD = new BigDecimal(pageNo.longValue()).subtract(BigDecimal.ONE);
//		final BigDecimal start = pageNoBD
//				.multiply(BigDecimal.valueOf(PortletPropsValues.PRODUCTS_PAGINATION_PAGE_SIZE));
//		ProductFinderValue value = new ProductFinderValue();
//		BeanUtils.copyProperties(value, bean);
//
//		List<ProductValue> products = productFinderService.findByCriteria(value, Integer.valueOf(start.intValue()),
//				PortletPropsValues.PRODUCTS_PAGINATION_PAGE_SIZE_INTEGER);
//		model.addAttribute("products", products);
//		BigDecimal totalPages = (new BigDecimal(totalResults.longValue())).divide(new BigDecimal(
//				PortletPropsValues.PRODUCTS_PAGINATION_PAGE_SIZE), RoundingMode.CEILING);
//
//		// add a product
//		model.addAttribute("totalPages", totalPages);
//		model.addAttribute("currentPage", pageNo);
//		model.addAttribute("currentResults", "1 - " + products.size());
//		model.addAttribute("totalResults", totalResults);
//	}

}
