
<%@ include file="/WEB-INF/pages/include.jsp"%>

<spring:message code="productFinder.searchall" var="searchAll"/>
<div class="portlet-section-header">

</div>
<div class="portlet-section-body">

    <form:form commandName="productFinder" method="post" action="categories.jsp">
        <spring:hasBindErrors name="categoryFinder">
            <div class="portlet-form-error-box">
                <strong><spring:message code="form-error-list-title"/></strong>
                <ul>
                    <li>
                        <form:errors path="*" delimiter="</li><li>" />
                    </li>
                </ul>
            </div>
        </spring:hasBindErrors>
        <table>
            <tr>
                <td colspan="2"/>
                <td><form:errors cssClass="portlet-form-field-error" path="partnerName" /></td>
                <td colspan="3"/>
                <td><form:errors cssClass="portlet-form-field-error" path="onlyGoldClassification" /></td>
                <td colspan="3"/>
                <td><form:errors cssClass="portlet-form-field-error" path="controlCenterAccess" /></td>
            </tr>
            <tr>
                <td class="portlet-form-field-label">
                    <spring:message code="productFinder.label.partnerName" />
                </td>
                <td />
                <td class="portlet-form-input-field">
                    <form:select path="partnerName" cssClass="portlet-form-input-field" cssErrorClass="portlet-form-input-field-error">
                    	<form:option value="" label="${searchAll}" />
                        <form:options items="${partnerNames}" />
                    </form:select>
                </td>
                <td />
                <td class="portlet-form-field-label"><spring:message code="productFinder.label.partnerClassification" /></td>
                <td />
				<spring:message code="productFinder.searchGold" var="searchGold"/>
                <td class="portlet-form-input-field">
                    <form:select path="onlyGoldClassification" cssClass="portlet-form-input-field" cssErrorClass="portlet-form-input-field-error">
                    	<form:option value="false" label="${searchAll}" />
                    	<form:option value="true" label="${searchGold}" />
                    </form:select>
                </td>
                <td />
                <td class="portlet-form-field-label"><spring:message code="productFinder.label.controlCenterAccess" /></td>
                <td />
                <td class="portlet-form-input-field">
                    <form:checkbox path="controlCenterAccess" cssClass="portlet-form-input-field" cssErrorClass="portlet-form-input-field-error" />
                </td>
            </tr>
            <tr>
                <td colspan="2"/>
                <td><form:errors cssClass="portlet-form-field-error" path="industry" /></td>
                <td colspan="3"/>
                <td><form:errors cssClass="portlet-form-field-error" path="productName" /></td>
                <td colspan="3"/>
                <td><form:errors cssClass="portlet-form-field-error" path="provisioningPartner" /></td>
            </tr>
            <tr>
                <td class="portlet-form-field-label">
                    <spring:message code="productFinder.label.industry" />
                </td>
                <td />
                <td class="portlet-form-input-field">
                    <form:select path="industry" cssClass="portlet-form-input-field" cssErrorClass="portlet-form-input-field-error">
                    	<form:option value="" label="${searchAll}" />
                        <form:options items="${industryList}" itemValue="id" itemLabel="name" />
                    </form:select>
                </td>
                <td />
                <td class="portlet-form-field-label"><spring:message code="productFinder.label.productName" /></td>
                <td />
                <td class="portlet-form-input-field">
                    <form:input path="productName" cssClass="portlet-form-input-field" cssErrorClass="portlet-form-input-field-error" size="30" maxlength="<%= String.valueOf(PartnerAssociate.COMPANY_NAME_LENGTH) %>" />
                </td>
                <td />
                <td class="portlet-form-field-label"><spring:message code="productFinder.label.provisioningPartner" /></td>
                <td />
                <td class="portlet-form-input-field">
                    <form:checkbox path="provisioningPartner" cssClass="portlet-form-input-field" cssErrorClass="portlet-form-input-field-error" />
                </td>
            </tr>
            <tr>
                <td colspan="2"/>
                <td><form:errors cssClass="portlet-form-field-error" path="location" /></td>
                <td colspan="3"/>
                <td><form:errors cssClass="portlet-form-field-error" path="productType" /></td>
                <td colspan="4"/>
            </tr>
            <tr>
                <td class="portlet-form-field-label">
                    <spring:message code="productFinder.label.location" />
                </td>
                <td />
                <td class="portlet-form-input-field">
                    <form:select path="location" cssClass="portlet-form-input-field" cssErrorClass="portlet-form-input-field-error">
                    	<form:option value="" label="${searchAll}" />
                        <form:options items="${stateList}" itemValue="id" itemLabel="name" />
                    </form:select>
                </td>
                <td />
                <td class="portlet-form-field-label"><spring:message code="productFinder.label.productType" /></td>
                <td />
                <td class="portlet-form-input-field">
                    <form:select path="productType" cssClass="portlet-form-input-field" cssErrorClass="portlet-form-input-field-error">
                    	<form:option value="" label="${searchAll}" />
                        <form:options items="${productTypeList}" itemValue="id" itemLabel="name" />
                    </form:select>
                </td>
            </tr>
            <tr>
                <th colspan="4"><input type="submit" name="_search" value="<spring:message code="button.search"/>" />
                <input type="submit" name="_reset" value="<spring:message code="button.reset"/>" /></th>
            </tr>
        </table>
    </form:form>
</div>
<p/>

totalResults <c:out value="${totalResults}" />
<c:choose>
<c:when test="${totalResults==0 }">
</c:when>
<c:when test="${totalResults==-1 }">

<div id="tmpp-table">
<div class="tmpp-table-title">
<div class="tmpp-table-title-text">
<spring:message code="productFinder.results.title"/>
</div>
</div>
<div class="tmpp-table-display-info">
<div class="portlet-section-body">
	<table width="100%" >
		<tr >
			<th width="5%"><spring:message code="product.list.id"/></th>
			<th width="15%"><spring:message code="product.list.product"/></th>
			<th width="55%"><spring:message code="product.list.description"/></th>
			<th width="7%"><spring:message code="product.list.sales"/></th>
		</tr>
		<tr class="tr-even">
			<td colspan="4"><spring:message code="productFinder.noresults"/></td>
		</tr>
	</table>
</div>
</div>
</div>
<div class="portlet-section-footer">
</div>

</c:when>
<c:otherwise>
<%@ include file="/WEB-INF/jsp/productFinderResults.jsp"%>
</c:otherwise>
</c:choose>